/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.sensor.cropcircle.model;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import nl.cloudfarming.client.model.SensorData;
import nl.cloudfarming.client.model.SensorDataFile;

/**
 * @author Merijn Zengers
 */
@Entity
@DiscriminatorValue("cropcirlce")
public class CropcircleSensorData extends SensorData implements Serializable {

    @Column(name = "FIX_TYPE")
    private int fixType;

    private double sensor;
    @Column(name = "APP_RATE")
    private String appRate; //  NOT USED ?

    public CropcircleSensorData() {
    }

    public CropcircleSensorData(int fixType, double sensor, String appRate) {
        this.fixType = fixType;
        this.sensor = sensor;
        this.appRate = appRate;
    }

    public String getAppRate() {
        return appRate;
    }

    public void setAppRate(String appRate) {
        this.appRate = appRate;
    }


    public Integer getFixType() {
        return fixType;
    }

    public void setFixType(Integer fixType) {
        this.fixType = fixType;
    }

    public double getR1() {
        return getReading1();
    }

    public void setR1(double r1) {
        setReading1(r1);
    }

    public double getR2() {
        return getReading2();
    }

    public void setR2(double r2) {
        setReading2(r2);
    }

    public double getR3() {
        return getReading3();
    }

    public void setR3(double r3) {
        setReading3(r3);
    }

    public double getSensor() {
        return sensor;
    }

    public void setSensor(double sensor) {
        this.sensor = sensor;
    }

    public double getVi1() {
        return getCalculatedIndex1();
    }

    public void setVi1(double vi1) {
        setCalculatedIndex1(vi1);
    }

    public double getVi2() {
        return getCalculatedIndex2();
    }

    public void setVi2(double vi2) {
        setCalculatedIndex2(vi2);
    }
}
